<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
<tr>
  <td height="51" align="left" background="images/xww_04.jpg" style="padding-left:40px">
<!-- END MENU -->
  <table border="0" cellspacing="0" cellpadding="0" height="51">
    <tr>
	<xsl:call-template name="TOP-MENU"/>
    </tr>
  </table>
<!-- END MENU -->
  </td>
</tr>
  <tr>
    <td valign="top" height="142" ><table width="100%" height="142"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="350" align="center" valign="middle" background="images/xww_08.jpg"><table width="350" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><img src="images/spacer.gif" width="350" height="4" /></td>
          </tr>
        </table>
<!-- LOGO -->
          <table width="280" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="65" rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
              <td width="205" height="41" align="left" class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
            </tr>
            <tr>
              <td align="left" class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
            </tr>
          </table>
<!-- END LOGO -->
		  </td>
        <td width="662" align="right" valign="top" background="images/xww_08.jpg"><img src="images/header.jpg" width="515" height="142" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top"  height="100%"  bgcolor="#FFFFFF"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="50" valign="top"><img src="images/xww_14.jpg" width="50" height="26" alt="" /></td>
        <td width="180" valign="top" background="images/xww_24.jpg">
<table width="180" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="180" valign="top" style="background-image: url(images/xww_221.jpg);
	background-repeat: repeat-y;">
<table width="180" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="180" height="217" valign="top" style="background-image: url(images/xww_15.jpg);
	background-repeat: no-repeat;
	background-position: left top;">
<!-- END SUBMENU -->
	<table width="180" border="0" cellpadding="0" cellspacing="0">
<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
            </table>
<!-- END SUBMENU -->
			</td>
          </tr>
          <tr>
            <td><img src="images/xww_22.jpg" width="180" height="53" alt="" /></td>
          </tr>
        </table></td>
          </tr>
        </table>
		</td>
        <td width="100%" height="100%" valign="top" style="background-image: url(images/xww_16.jpg);
	background-repeat: repeat-x;
	background-position: top;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td align="right"><img src="images/headerbg.jpg" width="515" height="95" alt="" /></td>
          </tr>
          <tr>
            <td height="100%" valign="top" style="padding: 25px;">
<!-- CONTENT -->
			<table cellpadding="0" bgcolor="#EFEFEF" cellspacing="0" border="0" style="background-image: url(images/bg.jpg);
	background-repeat: repeat-y;
	background-position: left top;">
				<tr>
					<td style="padding:10" width="300"  class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%">
	   		  <tr><td width="100%" height="100%" class="pageContent" name="SB_stretch" valign="top"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		</tr></table>
			<!-- END CONTENT -->
			</td>
          </tr>
        </table></td>
        </tr>
    </table></td>
  </tr>
  <tr>
    <td bgcolor="#E6E8E7"><img src="images/spacer.gif" width="200" height="1" /></td>
  </tr>
  <tr>
    <td height="100" bgcolor="#FFFFFF"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="230" align="center" valign="middle"><table width="230" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><img src="images/spacer.gif" width="230" height="5" /></td>
          </tr>
        </table>
						<!-- FOOTER -->
						<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
						<!-- END FOOTER -->
		  </td>
        <td width="100%" align="center">
<!-- END BOOTTOM MENU -->
		<table border="0" cellspacing="0" cellpadding="0">
          <tr>
		  <xsl:call-template name="BOTTOM-MENU"/>
            </tr>
        </table>
<!-- END BOOTTOM MENU -->
		</td>
      </tr>
    </table></td>
  </tr>
</table>

</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
              <tr>
                <td width="151" align="right" style="padding-left: 10px; padding-right: 10px;" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td width="29" align="center" height="30"><img src="images/sub.gif" width="7" height="5" /></td>
              </tr>

		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
              <tr>
                <td width="151" align="right" style="padding-left: 10px; padding-right: 10px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                <td width="29" align="center" height="30"><img src="images/sub.gif" width="7" height="5" /></td>
              </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
     <tr>
      <td colspan="2"><img src="images/line.gif" width="180" height="6" /></td>
     </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <td><div align="center"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
        <td ><div align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
       <td><img src="images/xww_27.jpg" width="15" height="16" alt="" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
